# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Socket.pm) perl(Sys/Hostname.pm) perl(blib.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Authen-Krb5
Version:        1.9
Release:        alt2_7
Summary:        Krb5 Perl module
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Krb5/
Source0:        http://www.cpan.org/authors/id/J/JH/JHORWITZ/Krb5-%{version}.tar.gz
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  libkrb5-devel
Source44: import.info

%description
Authen::Krb5 is an object oriented interface to the Kerberos 5 API. Both
the implementation and documentation are nowhere near complete, and may
require previous experience with Kerberos 5 programming. Most of the
functions here are documented in detail in the Kerberos 5 API
documentation.

%prep
%setup -q -n Krb5-%{version}

# Fix the references to /usr/local/bin/perl
sed -i 's|/usr/local/bin/perl|/usr/bin/perl|' \
  sample_client sample_server simple_client simple_server

%build

# Rewrite the Makefile with our local paths
mv Makefile.PL Makefile.PL.old
cat Makefile.PL.old | \
  sed -e's|/usr/lib|%{_libdir}|' \
      -e's|/usr/include|%{_includedir}|' \
  > Makefile.PL

%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make INC=-I/usr/include/krb5 %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT
chmod 644 sample_client sample_server simple_client simple_server

%check
make test

%files
%doc Changes COPYRIGHT README sample_client sample_server simple_client simple_server TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Authen

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt2_7
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt2_6
- rebuild with new perl

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_6
- new release

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_4
- fc import

